The Swift Package Index logo.Swift Package Index

Build Information

Failed to build SwordRPC with Swift 5.9 for iOS using Xcode 15.2 at 0.2.2.

Build Command

Build command unavailable

Build Log

========================================
RunAll
========================================
Builder version: 4.19.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/Azoy/SwordRPC.git
Reference: 0.2.2
Initialized empty Git repository in /Users/builder/builds/o86TiJKT/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.git/
From https://github.com/Azoy/SwordRPC
 * tag               0.2.2      -> FETCH_HEAD
HEAD is now at 97535a2 TMPDIR Function bby
Cloned https://github.com/Azoy/SwordRPC.git into spi-builder-workspace
97535a22bdca462f8b91e8a7349391fb2344d757
SUCCESS checkout https://github.com/Azoy/SwordRPC.git at 0.2.2
========================================
Build
========================================
Selected platform:         ios
Swift version:             5.9
Building package at path:  spi-builder-workspace
Command line invocation:
    /Applications/Xcode-15.0.0-Beta.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -resolvePackageDependencies

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph


Fetching from https://github.com/IBM-Swift/BlueSocket.git (cached)

the Swift tools version specification is missing a label; consider inserting 'swift-tools-version:' between the comment marker and the version specifier
Resolve Package Graph

Updating from https://github.com/IBM-Swift/BlueSocket.git

the Swift tools version specification is missing a label; consider inserting 'swift-tools-version:' between the comment marker and the version specifier

Resolved source packages:
  SwordRPC: /Users/builder/builds/o86TiJKT/2/finestructure/swiftpackageindex-builder/spi-builder-workspace
2023-06-11 23:31:35.589 xcodebuild[76454:326603] Writing error result bundle to /var/folders/wy/f1cgtw1s2dq35nvlg5tpg7t00000gp/T/ResultBundle_2023-11-06_23-31-0035.xcresult
xcodebuild: error: Could not resolve package dependencies:
  the Swift tools version specification is missing a label; consider inserting 'swift-tools-version:' between the comment marker and the version specifier
GENERIC FAILURE 5.9 ios

Build Machine: Mac 5